> ## Documentation Index
> Fetch the complete documentation index at: https://rollout.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Task

> PUT /tasks/{id}

`PUT /tasks/{id}`

Base URL: `https://crm.universal.rollout.com/api`

## Parameters

| Name | In   | Type   | Required |
| ---- | ---- | ------ | -------- |
| `id` | path | string | Yes      |

## Responses

| Status | Description |
| ------ | ----------- |
| `200`  | OK          |
| `400`  | Bad Request |
| `404`  | Not Found   |
| `409`  | Conflict    |

## OpenAPI Source

`/openapi/crm.json PUT /tasks/{id}`


## OpenAPI

````yaml /openapi/crm.json PUT /tasks/{id}
openapi: 3.0.3
info:
  title: Universal CRM API Documentation
  description: Development documentation
  version: '1.0'
servers:
  - url: https://crm.universal.rollout.com/api
security: []
paths:
  /tasks/{id}:
    put:
      tags:
        - Tasks
      summary: Update Task
      operationId: put_tasks_id
      parameters:
        - schema:
            type: string
          in: path
          name: id
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                personId:
                  type: string
                name:
                  type: string
                type:
                  type: string
                assignedUserId:
                  type: string
                isCompleted:
                  type: boolean
                dueDateTime:
                  type: string
          multipart/form-data:
            schema:
              type: object
              properties:
                personId:
                  type: string
                name:
                  type: string
                type:
                  type: string
                assignedUserId:
                  type: string
                isCompleted:
                  type: boolean
                dueDateTime:
                  type: string
          text/plain:
            schema:
              type: object
              properties:
                personId:
                  type: string
                name:
                  type: string
                type:
                  type: string
                assignedUserId:
                  type: string
                isCompleted:
                  type: boolean
                dueDateTime:
                  type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  type:
                    type: string
                  personId:
                    anyOf:
                      - type: string
                    nullable: true
                  assignedUserId:
                    anyOf:
                      - type: string
                    nullable: true
                  dueDateTime:
                    anyOf:
                      - type: string
                    nullable: true
                  isCompleted:
                    anyOf:
                      - type: boolean
                    nullable: true
                  created:
                    anyOf:
                      - type: string
                    nullable: true
                  updated:
                    anyOf:
                      - type: string
                    nullable: true
                  rolloutUpdated:
                    type: string
                  originalIds:
                    type: object
                    additionalProperties:
                      anyOf:
                        - type: number
                        - type: string
                  original:
                    type: object
                    additionalProperties:
                      type: object
                      additionalProperties: {}
                required:
                  - id
                  - name
                  - type
                  - personId
                  - assignedUserId
                  - dueDateTime
                  - isCompleted
                  - created
                  - updated
                  - rolloutUpdated
                  - originalIds
                  - original
            multipart/form-data:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  type:
                    type: string
                  personId:
                    anyOf:
                      - type: string
                    nullable: true
                  assignedUserId:
                    anyOf:
                      - type: string
                    nullable: true
                  dueDateTime:
                    anyOf:
                      - type: string
                    nullable: true
                  isCompleted:
                    anyOf:
                      - type: boolean
                    nullable: true
                  created:
                    anyOf:
                      - type: string
                    nullable: true
                  updated:
                    anyOf:
                      - type: string
                    nullable: true
                  rolloutUpdated:
                    type: string
                  originalIds:
                    type: object
                    additionalProperties:
                      anyOf:
                        - type: number
                        - type: string
                  original:
                    type: object
                    additionalProperties:
                      type: object
                      additionalProperties: {}
                required:
                  - id
                  - name
                  - type
                  - personId
                  - assignedUserId
                  - dueDateTime
                  - isCompleted
                  - created
                  - updated
                  - rolloutUpdated
                  - originalIds
                  - original
            text/plain:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  type:
                    type: string
                  personId:
                    anyOf:
                      - type: string
                    nullable: true
                  assignedUserId:
                    anyOf:
                      - type: string
                    nullable: true
                  dueDateTime:
                    anyOf:
                      - type: string
                    nullable: true
                  isCompleted:
                    anyOf:
                      - type: boolean
                    nullable: true
                  created:
                    anyOf:
                      - type: string
                    nullable: true
                  updated:
                    anyOf:
                      - type: string
                    nullable: true
                  rolloutUpdated:
                    type: string
                  originalIds:
                    type: object
                    additionalProperties:
                      anyOf:
                        - type: number
                        - type: string
                  original:
                    type: object
                    additionalProperties:
                      type: object
                      additionalProperties: {}
                required:
                  - id
                  - name
                  - type
                  - personId
                  - assignedUserId
                  - dueDateTime
                  - isCompleted
                  - created
                  - updated
                  - rolloutUpdated
                  - originalIds
                  - original
          description: OK
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Bad Request
        '404':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Not Found
        '409':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Conflict
      security:
        - jwt: []
          credential_id: []
components:
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      description: Authorization JWT
    credential_id:
      type: apiKey
      in: header
      name: X-Rollout-Credential-Id
      description: The Rollout Credential ID to use for queries/mutations

````